# SRC/smyblas2.c File Reference

Level 2 Blas operations. More...

## Functions
void | slsolve (int ldm, int ncol, float *M, float *rhs)
| Solves a dense UNIT lower triangular system.
void | susolve (int ldm, int ncol, float *M, float *rhs)
| Solves a dense upper triangular system.
void | smatvec (int ldm, int nrow, int ncol, float *M, float *vec, float *Mxvec)
| Performs a dense matrix-vector multiply: Mxvec = Mxvec + M * vec.

## Detailed Description

     -- SuperLU routine (version 2.0) --
     Univ. of California Berkeley, Xerox Palo Alto Research Center,
     and Lawrence Berkeley National Lab.
     November 15, 1997

Purpose: Level 2 BLAS operations: solves and matvec, written in C. Note: This is only used when the system lacks an efficient BLAS library.

## Function Documentation

void slsolve | ( | int | ldm,
|  | int | ncol,
|  | float * | M,
|  | float * | rhs |
| ) |  |  |

The unit lower triangular matrix is stored in a 2D array M(1:nrow,1:ncol). The solution will be returned in the rhs vector.

void smatvec | ( | int | ldm,
|  | int | nrow,
|  | int | ncol,
|  | float * | M,
|  | float * | vec,
|  | float * | Mxvec |
| ) |  |  |

The input matrix is M(1:nrow,1:ncol); The product is returned in Mxvec[].

void susolve | ( | int | ldm,
|  | int | ncol,
|  | float * | M,
|  | float * | rhs |
| ) |  |  |

The upper triangular matrix is stored in a 2-dim array M(1:ldm,1:ncol). The solution will be returned in the rhs vector.